OGRE: Ogre::MovableObject::Listener Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::MovableObject::Listener Class Reference

Listener which gets called back on MovableObject events. More...

`#include <OgreMovableObject.h>`

## Public Member Functions
| Listener (void)
virtual | ~Listener ()
virtual void | objectAttached (MovableObject *)
| MovableObject has been attached to a node.
virtual void | objectDestroyed (MovableObject *)
| MovableObject is being destroyed.
virtual void | objectDetached (MovableObject *)
| MovableObject has been detached from a node.
virtual void | objectMoved (MovableObject *)
| MovableObject has been moved.
virtual const LightList * | objectQueryLights (const MovableObject *)
| Called when the movable object needs to query a light list.
virtual bool | objectRendering (const MovableObject *, const Camera *)
| Called when the movable object of the camera to be used for rendering.

## Detailed Description

Listener which gets called back on MovableObject events.

## Constructor & Destructor Documentation

## ◆ Listener()

Ogre::MovableObject::Listener::Listener | ( | void |  | ) |
| inline

## ◆ ~Listener()

virtual Ogre::MovableObject::Listener::~Listener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ objectDestroyed()

virtual void Ogre::MovableObject::Listener::objectDestroyed | ( | MovableObject * |  | ) |
| inlinevirtual

MovableObject is being destroyed.

References Ogre::MovableObject::MovableObject().

## ◆ objectAttached()

virtual void Ogre::MovableObject::Listener::objectAttached | ( | MovableObject * |  | ) |
| inlinevirtual

MovableObject has been attached to a node.

References Ogre::MovableObject::MovableObject().

## ◆ objectDetached()

virtual void Ogre::MovableObject::Listener::objectDetached | ( | MovableObject * |  | ) |
| inlinevirtual

MovableObject has been detached from a node.

References Ogre::MovableObject::MovableObject().

## ◆ objectMoved()

virtual void Ogre::MovableObject::Listener::objectMoved | ( | MovableObject * |  | ) |
| inlinevirtual

MovableObject has been moved.

References Ogre::MovableObject::MovableObject().

## ◆ objectRendering()

virtual bool Ogre::MovableObject::Listener::objectRendering | ( | const MovableObject * | ,
|  | const Camera * | )
| inlinevirtual

Called when the movable object of the camera to be used for rendering.

Returns
  true if allows queue for rendering, false otherwise.

References Ogre::MovableObject::MovableObject().

## ◆ objectQueryLights()

virtual const LightList * Ogre::MovableObject::Listener::objectQueryLights | ( | const MovableObject * |  | ) |
| inlinevirtual

Called when the movable object needs to query a light list.

If you want to customize light finding for this object, you should override this method and hook into MovableObject via MovableObject::setListener. Be aware that the default method caches results within a frame to prevent unnecessary recalculation, so if you override this you should provide your own caching to maintain performance.

Note
  If you use texture shadows, there is an additional restriction - since the lights which should have shadow textures rendered for them are determined based on the entire frustum, and not per-object, it is important that the lights returned at the start of this list (up to the number of shadow textures available) are the same lights that were used to generate the shadow textures, and they are in the same order (particularly for additive effects).
  This method will not be called for additive stencil shadows since the light list cannot be varied per object with this technique.

Returns
  A pointer to a light list if you populated the light list yourself, or NULL to fall back on the default finding process.

References Ogre::MovableObject::MovableObject().

The documentation for this class was generated from the following file:

- OgreMovableObject.h